Bug 222284 - Evolution hung while/after fetching messages
Evolution hung while/after fetching messages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
 
Reported: 2007-01-11 08:51 EST by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-02 08:44:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 359979 None None None Never

  None (edit)
Description Kjartan Maraas 2007-01-11 08:51:02 EST
Description of problem:

gdb gives this backtrace which could be pointing to the e-msgport changes:

(gdb) thread apply all bt

Thread 5 (Thread -1234134128 (LWP 30326)):
#0  0x005e7402 in __kernel_vsyscall ()
#1  0x01e81693 in *__GI___poll (fds=0x1f08ff4, nfds=2, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#2  0x039d3503 in g_main_context_iterate (context=0x900ad00, block=1,
dispatch=1, self=0x9007568) at gmain.c:2979
#3  0x039d3879 in IA__g_main_loop_run (loop=0x900e6b0) at gmain.c:2881
#4  0x005ca544 in libnm_glib_init () from /usr/lib/libnm_glib.so.0
#5  0x039ee2ef in g_thread_create_proxy (data=0x9007568) at gthread.c:553
#6  0x002cd2db in start_thread (arg=0xb6709b90) at pthread_create.c:296
#7  0x01e8b24e in clone () from /lib/libc.so.6

Thread 4 (Thread -1269933168 (LWP 12556)):
#0  0x005e7402 in __kernel_vsyscall ()
#1  0x01e81693 in *__GI___poll (fds=0x1f08ff4, nfds=9, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#2  0x039d3503 in g_main_context_iterate (context=0x14162980, block=1,
dispatch=1, self=0x13ffb7d8) at gmain.c:2979
#3  0x039d3879 in IA__g_main_loop_run (loop=0x1481a090) at gmain.c:2881
#4  0x008a84c0 in link_io_thread_fn (data=0x0) at linc.c:399
#5  0x039ee2ef in g_thread_create_proxy (data=0x13ffb7d8) at gthread.c:553
#6  0x002cd2db in start_thread (arg=0xb44e5b90) at pthread_create.c:296
#7  0x01e8b24e in clone () from /lib/libc.so.6

Thread 3 (Thread -1298715760 (LWP 13106)):
#0  0x005e7402 in __kernel_vsyscall ()
#1  0x01e81693 in *__GI___poll (fds=0x1f08ff4, nfds=1, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#2  0x039d3503 in g_main_context_iterate (context=0x1409d178, block=1,
dispatch=1, self=0x11a97d40) at gmain.c:2979
#3  0x039d3879 in IA__g_main_loop_run (loop=0x141e3438) at gmain.c:2881
#4  0x00e7e6c2 in startup_mainloop (arg=0x0) at e-book.c:3764
#5  0x039ee2ef in g_thread_create_proxy (data=0x11a97d40) at gthread.c:553
#6  0x002cd2db in start_thread (arg=0xb2972b90) at pthread_create.c:296
#7  0x01e8b24e in clone () from /lib/libc.so.6

Thread 2 (Thread -1282065520 (LWP 18245)):
#0  0x005e7402 in __kernel_vsyscall ()
#1  0x002d1076 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x039b34f2 in g_async_queue_pop_intern_unlocked (queue=0x13ac25b8,
try=<value optimized out>, end_time=0x0)
    at gasyncqueue.c:334
#3  0x0057886a in e_msgport_wait (msgport=0x0) at e-msgport.c:692
#4  0x014fa21b in sync_op (emss=0xfffffffc, op=EMSS_FLUSH, data=0x0, n=0) at
em-sync-stream.c:214
#5  0x014fa365 in stream_flush (stream=0xb8e7a28) at em-sync-stream.c:307
#6  0x0074de81 in camel_stream_flush (stream=0xb8e7a28) at camel-stream.c:137
---Type <return> to continue, or q <return> to quit---
#7  0x0074c17d in do_flush (stream=0x14291e24) at camel-stream-filter.c:366
#8  0x0074de81 in camel_stream_flush (stream=0x14291e24) at camel-stream.c:137
#9  0x014e824c in em_format_format_text (emf=0x8fcfd40, stream=0x14291e24,
dw=<value optimized out>) at em-format.c:1087
#10 0x014e6db8 in efh_text_plain (efh=0x8fcfd40, stream=0xb8e7a28,
part=0x935cdb4, info=0x155ce40) at em-format-html.c:767
#11 0x014e9ccb in em_format_part_as (emf=0x8fcfd40, stream=0xb8e7a28,
part=0x935cdb4, mime_type=0xb40b08f0 "text/plain")
    at em-format.c:575
#12 0x014ea545 in em_format_part (emf=0x8fcfd40, stream=0xb8e7a28,
part=0x935cdb4) at em-format.c:610
#13 0x014e5ec9 in efh_format_message (emf=0x8fcfd40, stream=0xb8e7a28,
part=0x935cdb4, info=0x155ced0)
    at em-format-html.c:1852
#14 0x014e4adb in efh_format_do (mm=0x1685c940) at em-format-html.c:1226
#15 0x01509cc3 in mail_msg_proxy (msg=0x1685c940) at mail-mt.c:473
#16 0x039efcb8 in g_thread_pool_thread_proxy (data=0x9030fc8) at gthreadpool.c:265
#17 0x039ee2ef in g_thread_create_proxy (data=0x13cadaf8) at gthread.c:553
#18 0x002cd2db in start_thread (arg=0xb3953b90) at pthread_create.c:296
#19 0x01e8b24e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208473904 (LWP 30306)):
#0  0x005e7402 in __kernel_vsyscall ()
#1  0x01e81693 in *__GI___poll (fds=0x1f08ff4, nfds=1, timeout=-1) at
../sysdeps/unix/sysv/linux/poll.c:87
#2  0x03cc8959 in _XWaitForReadable (dpy=0x8bc7918) at XlibInt.c:498
#3  0x03cc8d3f in _XRead (dpy=0x8bc7918, data=0xbfd2d280 "\n\003�4t", size=32)
at XlibInt.c:1087
#4  0x03cc9704 in _XReply (dpy=0x8bc7918, rep=0xbfd2d280, extra=0, discard=1) at
XlibInt.c:1714
#5  0x03cba520 in XQueryPointer (dpy=0x8bc7918, w=31457449, root=0xbfd2d30c,
child=0xbfd2d308, root_x=0xbfd2d304, 
    root_y=0xbfd2d300, win_x=0xbfd2d2fc, win_y=0xbfd2d2f8, mask=0xbfd2d2f4) at
QuPntr.c:46
#6  0x004fbcee in _gdk_windowing_window_get_pointer (display=0x8bcf098,
window=0x9303728, x=0xbfd2d348, y=0xbfd2d344, 
    mask=0xbfd2d340) at gdkwindow-x11.c:3526
#7  0x004ce2d7 in IA__gdk_window_get_pointer (window=0x9303728, x=0xbfd2d500,
y=0xbfd2d4fc, mask=0x0) at gdkwindow.c:2983
#8  0x010d447c in gtk_tree_view_expose (widget=0x9154008, event=0xbfd2db24) at
gtktreeview.c:4551
#9  0x00fd4850 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8bda480,
return_value=0xbfd2d750, n_param_values=2, 
    param_values=0xbfd2d82c, invocation_hint=0xbfd2d73c, marshal_data=0x10d22c0)
at gtkmarshalers.c:84
#10 0x00ceb589 in g_type_class_meta_marshal (closure=0x8bda480,
return_value=0xbfd2d750, n_param_values=2, 
    param_values=0xbfd2d82c, invocation_hint=0xbfd2d73c, marshal_data=0xc8) at
gclosure.c:567
#11 0x00cecd9b in IA__g_closure_invoke (closure=0x8bda480,
return_value=0xbfd2d750, n_param_values=2, 
    param_values=0xbfd2d82c, invocation_hint=0xbfd2d73c) at gclosure.c:490
#12 0x00cfda83 in signal_emit_unlocked_R (node=0x8c1e278, detail=0,
instance=0x9154008, emission_return=0xbfd2d9ec, 
    instance_and_params=0xbfd2d82c) at gsignal.c:2478
#13 0x00cfe71f in IA__g_signal_emit_valist (instance=0x9154008, signal_id=58,
detail=0, var_args=<value optimized out>)
    at gsignal.c:2209
#14 0x00cfeb19 in IA__g_signal_emit (instance=0x9154008, signal_id=58, detail=0)
at gsignal.c:2243
#15 0x010e9368 in gtk_widget_event_internal (widget=0x9154008, event=0xbfd2db24)
at gtkwidget.c:3915
---Type <return> to continue, or q <return> to quit---
#16 0x00fcf044 in IA__gtk_main_do_event (event=0xbfd2db24) at gtkmain.c:1527
#17 0x004cf61f in gdk_window_process_updates_internal (window=0x9303728) at
gdkwindow.c:2333
#18 0x004cf867 in IA__gdk_window_process_all_updates () at gdkwindow.c:2396
#19 0x004cf8e5 in gdk_window_update_idle (data=0x0) at gdkwindow.c:2254
#20 0x039ce791 in g_idle_dispatch (source=0x13992f58, callback=0xffffffff,
user_data=0x0) at gmain.c:3928
#21 0x039d04f2 in IA__g_main_context_dispatch (context=0x8bd5658) at gmain.c:2045
#22 0x039d34cf in g_main_context_iterate (context=0x8bd5658, block=1,
dispatch=1, self=0x8bb2668) at gmain.c:2677
#23 0x039d3879 in IA__g_main_loop_run (loop=0x8bed1f0) at gmain.c:2881
#24 0x00a49a23 in bonobo_main () at bonobo-main.c:311
#25 0x0805d9ac in main (argc=2, argv=0xbfd2df24) at main.c:609
#26 0x01dd3e5c in __libc_start_main (main=0x805d5e0 <segv_redirect+160>, argc=2,
ubp_av=0xbfd2df24, 
    init=0x805e5c0 <__libc_csu_fini>, fini=0x805e5b0 <no_windows_left_cb+48>,
rtld_fini=0x285490 <_dl_fini>, 
    stack_end=0xbfd2df1c) at libc-start.c:222
#27 0x0804f371 in _start () from /usr/bin/evolution-2.10
#0  0x005e7402 in __kernel_vsyscall ()

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Barnes 2007-01-11 09:44:10 EST
You may be right.  Which evolution and evolution-data-server package versions
are you using?
Comment 2 Kjartan Maraas 2007-01-11 11:08:23 EST
[root@rivendell Desktop]# rpm -q evolution evolution-data-server
evolution-2.9.5-2.fc7
evolution-data-server-1.9.5-3.fc7
Comment 3 Matthias Clasen 2007-02-02 02:26:37 EST
Matt, didn't we fix this ?
Kjartan, do you still see it ?
Comment 4 Kjartan Maraas 2007-02-02 05:43:06 EST
I'm guessing this was fixed by Alex's patch for the race condition in the
e-msgport changes?

Haven't seen it lately, but I know it hasn't made it in upstream yet.
Comment 5 Matthew Barnes 2007-02-02 08:44:18 EST
Alex and I came up with different solutions at different times.  See
http://bugzilla.gnome.org/show_bug.cgi?id=359979#c7.

There's been no movement on this from upstream, despite my flagging the bug as
critical, sending review requests to evolution-patches and talking to both
harish and varadhan on IRC about it.  I guess I need to keep making noise.

It should be fixed in Rawhide, FC-6 and RHEL-5 though, so I'm going to close
this as RAWHIDE.  But please feel free to reopen this if you see the hang again.

Note You need to log in before you can comment on or make changes to this bug.